## org.eclipse.amp.amf.parameters.services
Class AParGrammarAccess.ParameterElements

    java.lang.Object
      org.eclipse.xtext.service.AbstractElementFinder
          org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder
              org.eclipse.amp.amf.parameters.services.AParGrammarAccess.ParameterElements

All Implemented Interfaces:
  org.eclipse.xtext.IGrammarAccess.IAbstractRuleAccess, org.eclipse.xtext.IGrammarAccess.IParserRuleAccess

Enclosing class:
  AParGrammarAccess

    public class AParGrammarAccess.ParameterElements

extends org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.xtext.service.AbstractElementFinder
`org.eclipse.xtext.service.AbstractElementFinder.AbstractEnumRuleElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractGrammarElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder`

Constructor Summary
`AParGrammarAccess.ParameterElements()`

Method Summary
`org.eclipse.xtext.Assignment` `getAttributeAssignment_0()`
`org.eclipse.xtext.CrossReference` `getAttributeSAttributeCrossReference_0_0()`
`org.eclipse.xtext.RuleCall` `getAttributeSAttributeIDTerminalRuleCall_0_0_1()`
`org.eclipse.xtext.Keyword` `getEqualsSignKeyword_1()`
`org.eclipse.xtext.Group` `getGroup()`
`org.eclipse.xtext.ParserRule` `getRule()`
`org.eclipse.xtext.Assignment` `getValueAssignment_2()`
`org.eclipse.xtext.RuleCall` `getValueValueParserRuleCall_2_0()`

Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder
`findAssignments, findCrossReferences, findCrossReferences, findKeywordPairs, findKeywords, findRuleCalls`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AParGrammarAccess.ParameterElements

    public AParGrammarAccess.ParameterElements()

Method Detail

### getRule

    public org.eclipse.xtext.ParserRule getRule()

### getGroup

    public org.eclipse.xtext.Group getGroup()

### getAttributeAssignment_0

    public org.eclipse.xtext.Assignment getAttributeAssignment_0()

### getAttributeSAttributeCrossReference_0_0

    public org.eclipse.xtext.CrossReference getAttributeSAttributeCrossReference_0_0()

### getAttributeSAttributeIDTerminalRuleCall_0_0_1

    public org.eclipse.xtext.RuleCall getAttributeSAttributeIDTerminalRuleCall_0_0_1()

### getEqualsSignKeyword_1

    public org.eclipse.xtext.Keyword getEqualsSignKeyword_1()

### getValueAssignment_2

    public org.eclipse.xtext.Assignment getValueAssignment_2()

### getValueValueParserRuleCall_2_0

    public org.eclipse.xtext.RuleCall getValueValueParserRuleCall_2_0()